Bug 141458 - Unmatched Vfolder properties error
Unmatched Vfolder properties error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 04:53 EST by Mike Cohler
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.2-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 15:54:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error box when trying to get properties for "Unmatched" vfolder (29.72 KB, text/plain)
2004-12-01 04:54 EST, Mike Cohler
no flags Details
Screenshot as png image- apologies for the previous mistake in the file type (29.72 KB, image/png)
2004-12-01 04:59 EST, Mike Cohler
no flags Details
Error when Evo starts and during loading of remote imap data (21.14 KB, image/png)
2004-12-01 12:22 EST, Mike Cohler
no flags Details

  None (edit)
Description Mike Cohler 2004-12-01 04:53:09 EST
Description of problem:After installing FC3 when Evolution 2.0.2
upgrades the mail data from version 1.4 in FC2 then Unmatched Vfolder
is not correct. 


Version-Release number of selected component (if applicable):Evolution
2.0.2


How reproducible:Always


Steps to Reproduce:
1.Right click Unmatched Vfolder
2.Select properties
3.Get error window (see attached screenshot)
  
Actual results:Error reports as Cannot edit
vfolder:/home/user/.evolution/mail/vfolder#UNMATCHED


Expected results:Should not be an error, and properties should be normal


Additional info:
Comment 1 Mike Cohler 2004-12-01 04:54:56 EST
Created attachment 107701 [details]
Error box when trying to get properties for "Unmatched" vfolder
Comment 2 Mike Cohler 2004-12-01 04:59:01 EST
Created attachment 107702 [details]
Screenshot as png image- apologies for the previous mistake in the file type
Comment 3 Mike Cohler 2004-12-01 12:16:41 EST
I just tried to remove all the vfolders except Unmatched, Important
and Unread using the Virtual Folder Editor in Tools.  Then checked
.evolution/mail/config  and found that all the old entries remained
and were not cleared out.

Also I changed the imap account - deleted one and then created a new
one.  The original directory and all its subdirectories were all still
there - i.e. it did not clean out the account I removed.

It is possible this is related to the problem highlighted in this bug
report?

Mike
Comment 4 Mike Cohler 2004-12-01 12:22:12 EST
Created attachment 107722 [details]
Error when Evo starts and during loading of remote imap data

Screenshot of error window when Evolution starts up - during loading of remote
imap account files.
Comment 5 Dave Malcolm 2004-12-01 17:32:12 EST
I'm seeing the dialog in comment #2 as well, BTW
Comment 6 Dave Malcolm 2004-12-01 17:39:35 EST
Upstream bug (with a patch) is here:
http://bugzilla.ximian.com/show_bug.cgi?id=69579

This has a fix for the bug you originally reported (which seems
relatively harmless).

Re comment #3 and comment #4: I don't think this is related.
Comment 7 Dave Malcolm 2004-12-01 18:52:14 EST
I've built an updated package with a fix for this into Rawhide,
available as: evolution-2.0.2-6
Comment 9 Matthew Miller 2006-07-10 18:03:28 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.